# All In One Schema.org Rich Snippets #
**Contributors:** brainstormforce, yawalkarm  
**Donate link:** https://www.brainstormforce.com  
**Tags:** Review, Event, People, Product, Recipe, Software Application, Video, Article, rdfa, rich snippet, schema.org, schema, microdata, microformat, SERP, Google, Yahoo, Bing  
**Requires at least:** 3.7  
**Tested up to:** 4.7
**Stable tag:** 1.4.1 
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  
Boost CTR. Improve SEO & Rankings. Supports most of the content type. Works perfectly with Google, Bing, Yahoo & Facebook.

## Description ##

### What is a Rich Snippet? ###
It is basically a short summary of your page in the search results of Google, Yahoo, Bing and sometimes in the News feed of Facebook in nice format with star ratings, author photo, image, etc.
[See Examples of Rich Snippets Here.](https://www.brainstormforce.com/schema-rich-snippets/ "Rich Snippets Examples")

### How does a Rich Snippet help? ###
- It gives search engines only the important & precise information to display in search result snippets.
- Rich Snippets are very interactive (photos, star ratings, price, author, etc.) to let you stand out from competition
- [See what difference it makes](https://www.brainstormforce.com/schema-rich-snippets/ "See the difference") in CTR (Click Through Rate)
- Helps you rank higher in search results
- Helps Facebook display proper information when users share your links on Facebook
> **Curious, how does this plugin work?**


### Supported Content Types - ###
This plugin supports the following types of Schemas:
* Review
* Event
* People
* Product
* Recipe
* Software Application
* Video
* Articles 

### Future release would include - ###
* Breadcrumbs
* Local Business
* Books
### Want to contribute to the plugin? ###
**You may now contribute to the plugin on Github:** [All in one Schema.org Rich Snippets on Github](https://github.com/brainstormforce/All-In-One-Schema.org-Rich-Snippets "Contribute on Github")  

## Installation ##

### Through Dashboard ###
1. Go to Plugins -> Add New -> Search for "All in One Schema.org Rich Snippets" Or Upload the plugins zip file
### Through FTP ###
1. Upload the plugin into `wp-content/plugins` directory
2. Activate the plugin through the 'Plugins' menu in WordPress
3. That's It. 
Now go and create a new post. There you will find a meta box, select the type of post from dropdown and fill out the details, publish the post.
Google will start showing rich snippets in the search results, as soon as your post is crawled.

You can test the rich snippet on Google Webmasters Rich Snippets Testing Tool

## Frequently Asked Questions ##

### What is a Rich Snippet? ###
It is basically a short summary of your page in the search results of Google, Yahoo, Bing and sometimes in the News feed of Facebook in nice format with star ratings, author photo, image, etc.
### How does a Rich Snippet help? ###
- It gives search engines only the important & precise information to display in search result snippets.
- Rich Snippets are very interactive (photos, star ratings, price, author, etc.) to let you stand out from competition
- [See what difference it makes](https://www.brainstormforce.com/schema-rich-snippets/ "See the difference") in CTR (Click Through Rate)
- Helps you rank higher in search results
- Helps Facebook display proper information when users share your links on Facebook

### Which Content Types are Supported? ###
This plugin currently supports almost all of the content types that are released by Schema.org at one place.
Review, Event, People, Product, Recipe, Software Application, Video, Articles etc.

## Changelog ##

### 1.4.0 ###
* Added new service schema
* Minor CSS fixes

### 1.3.0 ###
* Improvement: Updated markup data to meet Google Structured data guidelines
* Fixed: WordPress 4.4 compatibility
* Fixed: Admin UI on small screens

### 1.2.0 ###
* Improvement: WordPress 4.0 compatibility
* Fixed: Colorpicker breaking other plugins colorpicker settings.

### 1.1.9 ###
* Fixed: Image uploading in meta issue resolved.
* Fixed: Compatibility with WordPress 3.9

### 1.1.8 ###
* Fixed: CSS and JS now loads on the page / post where rich snippets are configured.

### 1.1.7 ###
* Improvement: Added "Test Rich Snippets" menu in admin bar for testing rich snippets in Google Webmasters Tools
* Fixed: retina.js issue resolved
* Removed unnecessary code

### 1.1.6 ###
* Improvement: Compatibility with WordPres 3.8
* Fixed: Admin CSS breaking tabs in WP 3.8
* Added - reference post url field in "contact developers" form on settings page

### 1.1.5 ###
* Improvement: Replaced rating 'count' with 'votes' on products - as directed by Google
* Fixed: Article snippet not displaying accurate when snippet title is blank
* Fixed: Recipe string 'Published on' can be changed.

### 1.1.4 ###
* Fixed:  Illegal string offset `user_rating` Warning

### 1.1.3 ###
* Improvement : Network Activation

### 1.1.2 ###
* Fixed: Edit media functionality.

### 1.1.1 ###
* Added: Article type
* Added: Compatibility with WooThemes Plugins and themes
* Added: New Media Manager for uploading images in metabox

### 1.1.0 ###
* Added: Admin options
* Fixed: Ratings on recipe, products and software application
* Improvement: Admin options for customizing everything
* Improvement: New snippet box design with responsive layout

### 1.0.4 ###
* Fixed: Rating on Comments
* Fixed: On deleting any deactivated plugin
* Fixed: Error message comming on commenting
* Fixed: On post save draft

### 1.0.3 ###
* Clean up the code
* Fixed: Plugin activation error
* Fixed: Error on editing theme and plugin files.
* Removed : Breadcrumbs

### 1.0.2 ###
* Added: RDFa Breadcrumbs Plugin is now a part of All in One Schema.org Rich Snippets !
* Added: Star rating and review for recipe
* Fized: Recipe type
* Fixed: Post update error

### 1.0.1 ###
* Minor Bugs Fixes

### 1.0 ###
* Initial Release.

## Upgrade Notice ##
**Note:** Minor bug fixes. Update the plugin to enjoy bug free blogging!  